Subject: Re: [bitcoin-dev] Block solving slowdown question/poll

From: ZmnSCPxj <[email-masked]>
Date: Thu, 26 Mar 2020 01:42:22 +0000

Good morning Andrew,

>
> > Anyway, yes, your idea is fundamentally broken because a zero block reward
> > happens because creating even one more satoshi will push the amount of
> > bitcoin over 21,000,0000, breaking the meaning of "bitcoin," or, if you
> > like, creating a fundamental contradiction in our use of the term.
>
> I wouldn't really consider that fundamentally broken. It changes the meaning of
> "bitcoin", but so does every upgrade to the protocol. The worst problem I can
> see with this is that there's probably a lot of software out there which
> assumes a cap of 21M. But we'd have years to find and fix those bugs.

There are changes of meaning, and then there are changes of meaning.
Smaller changes that puny humans can understand are better than larger changes beyond the ken of mortal man.
To change the supply is far too big a change.

> > They already do so, via an implicit "field", known as the transaction fee.
> > This makes the vote for how much security is needed to be costly to the
> > voter, which is appropriate: you pay for your security.
>
> This isn't the same thing though, economically / game-theoretically speaking.
> Transaction fees are only paid when bitcoins get moved. There's no on-going
> cost for people holding bitcoins (assuming they're doing their day-to-day
> transactions almost entirely off-chain, which is something that's only going to
> become more common). More to the point, the transaction fee is only set by the
> current demand for block space. If transaction fees drop too low to maintain a
> secure hash rate then people could willingly pay more than they need to to
> get their transactions mined, but it's unlikely they will since it'd be cheaper
> to just pay the minimum and hope that everyone else covers the costs of keeping
> the network secure for them.
>
> With the voting idea everyone decides what everyone pays (via dilution) to keep
> the network secure. Choosing to signal a high inflation rate doesn't mean you
> pay more than everyone else, just that you might shift the median, so there's
> no tragedy-of-the-commons problem. Also, votes are weighted by the value of
> the utxo, so people both vote and pay in proportion to the amount of bitcoin
> they're holding.
>
> Does this make sense? Or is there some game-theoretic reason I'm not seeing for
> why transaction fees can never drop dangerously low in the first place?

What happens if I own a few million Bitcoin and then accidentally lose my private keys in a tragic ear-cleaning accident?

Then the vote of that UTXO containing a few million Bitcoins will remain forever fixed and unable to change according to whatever you believe would make us as a community decide to change the inflation rate.

If you enforce that only "recently-created" UTXOs get to vote, then in order for me to affect the vote (in the happy case where I do **not** lose all my privkeys in a tragic ear-cleaning accident), I would have to make a synthetic self-paying transaction.
How is it so different from me having to make up a synthetic transaction in order to pay fees and thus affect the current security of the blockchain?

--

It is helpful to remember that as a UTXO gets buried deeper, its security is inevitably better, and once I have a sufficient level of security in my ownership of the coin, I will not particularly care about any improved security and will not be interested in paying for more, hence why should I support any fork which makes me pay for my security continuously when I can simply support a fork that retains the current supply and does *not* make me pay for continued security?

--

If I want to *spend* my Bitcoins on something --- and nothing has value until I actually utilize it --- then I *will* pay transaction fees.
The receiver of the coin would want to ensure that the received UTXO is deeply buried to the point that it has sufficient security for the receiver, before releasing or providing me with whatever I am exchanging the coin for.

Thus, if I find that there are no miners at all, I could offer a high fee to get my transaction mined.
Of course, you might say that this only pays for one block.

But in most cases I will have more value remaining beyond what I spend to the receiver, i.e. I have a change output from that transaction.
In such a case, I can  pay for more blocks by re-spending the change output to myself, paying a transaction fee each time, until the original transaction that spends to the receiver is deeply buried and the receiver credits it and then releases the product or service I am exchanging *for*.
Alternately the receiver can do the same for its *own* UTXO, and will increase the payment it demands from me in order to perform this itself; thus I still end up paying for the security of the *transaction* and not the security of the *holding*.

So there is really no need for any mechanism beyond transaction fees.

Regards,
ZmnSCPxj